Subject: bug#17372: GNU mv

From: Scott Brunner <[email-masked]>
Date: Tue, 29 Apr 2014 07:34:34 -0700 (PDT)

Hi Folks,

Not sure I'm in the right place - but - I'm having a problem with the "mv" command in Cygwin's Unix emmulator... The man page directed me to this address... I have a bunch of files that all start with the "-" character (-moo, -moo1, -moo2)... Obviously the "-" is treated as a switch in the Unix world - so you can't do simple moves as you would in Solaris... I'm not sure if the goal of your GNU release is supposed to match the functionality of Unix but I just wanted to point this out in case you were unaware...

In Solaris - this works: 
 
    mv -f - '-moo' SCO-moo

In Cygwin - it does not...

Thanks...

Regards,
Scott